## haskell-hsopenssl 0.11.1.1

=== examples/Makefile ===
GHCFLAGS = -O2

build:
	ghc $(GHCFLAGS) --make GenRSAKey
	ghc $(GHCFLAGS) --make HelloWorld
	ghc $(GHCFLAGS) --make PKCS7
	ghc $(GHCFLAGS) --make -threaded Server

run: build
	./PKCS7
#	./HelloWorld

clean:
	rm -f HelloWorld GenRSAKey PKCS7 Server *.hi *.o

.PHONY: build run clean

=== debian/changelog ===
haskell-hsopenssl (0.11.1.1-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:35 -0500

haskell-hsopenssl (0.11.1.1-1) experimental; urgency=low

  * Initial release
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:52 +0200

=== debian/control ===
Source: haskell-hsopenssl
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-network-dev (>= 2.1),
 libghc-network-dev (<< 2.7),
 libghc-network-prof,
 libghc-old-locale-dev (>= 1.0),
 libghc-old-locale-dev (<< 1.1),
 libghc-old-locale-prof,
 libssl-dev,
Build-Depends-Indep: ghc-doc,
 libghc-network-doc,
 libghc-old-locale-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/phonohawk/HsOpenSSL
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: Partial OpenSSL binding for Haskell
 HsOpenSSL is an OpenSSL binding for Haskell. It can generate RSA
 and DSA keys, read and write PEM files, generate message digests,
 sign and verify messages, encrypt and decrypt messages. It has
 also some capabilities of creating SSL clients and servers.
 .
 This package is in production use by a number of Haskell based
 systems and stable. You may also be interested in the tls package,
 which is a pure Haskell implementation of SSL.

Package: libghc-hsopenssl-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 libssl-dev,
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hsopenssl-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hsopenssl-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-hsopenssl 0.11.3.2

=== debian/changelog ===
haskell-hsopenssl (0.11.3.2-3build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jan 2017 12:09:38 +0100

haskell-hsopenssl (0.11.3.2-3) unstable; urgency=medium

  * Switch OpenSSL dependency to libssl1.0-dev.  closes: #828338.

 -- Clint Adams <clint@debian.org>  Tue, 01 Nov 2016 18:05:16 -0400

haskell-hsopenssl (0.11.3.2-2) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:14 -0400

haskell-hsopenssl (0.11.3.2-1) experimental; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 26 Oct 2016 18:52:24 -0400

haskell-hsopenssl (0.11.2.4-1) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * New upstream release.

 -- Clint Adams <clint@debian.org>  Mon, 10 Oct 2016 15:28:07 -0400

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,21 @@
 Priority: extra
 Section: haskell
 Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.10),
+ haskell-devscripts (>= 0.13),
  cdbs,
- ghc,
+ ghc (>= 8),
  ghc-prof,
  libghc-network-dev (>= 2.1),
  libghc-network-dev (<< 2.7),
  libghc-network-prof,
- libghc-old-locale-dev (>= 1.0),
- libghc-old-locale-dev (<< 1.1),
- libghc-old-locale-prof,
- libssl-dev,
+ libssl1.0-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-network-doc,
- libghc-old-locale-doc,
-Standards-Version: 3.9.6
-Homepage: https://github.com/phonohawk/HsOpenSSL
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
-X-Description: Partial OpenSSL binding for Haskell
+Standards-Version: 3.9.8
+Homepage: https://github.com/vshabanov/HsOpenSSL
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hsopenssl
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
+X-Description: partial OpenSSL binding for Haskell
  HsOpenSSL is an OpenSSL binding for Haskell. It can generate RSA
  and DSA keys, read and write PEM files, generate message digests,
  sign and verify messages, encrypt and decrypt messages. It has
@@ -37,7 +33,7 @@
 Depends: ${haskell:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
- libssl-dev,
+ libssl1.0-dev,
 Recommends: ${haskell:Recommends},
 Suggests: ${haskell:Suggests},
 Conflicts: ${haskell:Conflicts},

## haskell-hsopenssl 0.11.4.8

=== debian/changelog ===
haskell-hsopenssl (0.11.4.8-1) unstable; urgency=medium

  * New upstream release
  * Switch OpenSSL dependency back to libssl-dev.

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 14:48:28 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libghc-network-dev (>= 2.1),
  libghc-network-dev (<< 2.7),
  libghc-network-prof,
- libssl1.0-dev,
+ libssl-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-network-doc,
 Standards-Version: 3.9.8
@@ -33,7 +33,7 @@
 Depends: ${haskell:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
- libssl1.0-dev,
+ libssl-dev,
 Recommends: ${haskell:Recommends},
 Suggests: ${haskell:Suggests},
 Conflicts: ${haskell:Conflicts},

## haskell-hsopenssl 0.11.4.9

=== debian/changelog ===
haskell-hsopenssl (0.11.4.9-1build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 09 Jul 2017 14:27:31 +0200

haskell-hsopenssl (0.11.4.9-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 20:57:15 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libssl-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-network-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/vshabanov/HsOpenSSL
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hsopenssl
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git

## haskell-hsopenssl 0.11.4.11

=== debian/changelog ===
haskell-hsopenssl (0.11.4.11-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:45 +0000

haskell-hsopenssl (0.11.4.11-1) unstable; urgency=medium

  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Sep 2017 13:49:53 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-hsopenssl
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
 Priority: extra
 Section: haskell

=== debian/watch ===
version=3
http://hackage.haskell.org/package/HsOpenSSL/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-hsopenssl 0.11.4.13

=== debian/changelog ===
haskell-hsopenssl (0.11.4.13-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 16:12:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: haskell-hsopenssl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends: debhelper (>= 9),
  haskell-devscripts (>= 0.13),
@@ -15,10 +14,10 @@
  libssl-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-network-doc,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: https://github.com/vshabanov/HsOpenSSL
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hsopenssl
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hsopenssl
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 X-Description: partial OpenSSL binding for Haskell
  HsOpenSSL is an OpenSSL binding for Haskell. It can generate RSA
  and DSA keys, read and write PEM files, generate message digests,

## haskell-hsopenssl 0.11.4.14

=== debian/changelog ===
haskell-hsopenssl (0.11.4.14-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 03 Jul 2018 08:31:26 -0400

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Joachim Breitner <nomeata@debian.org>
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends: debhelper (>= 9),
  haskell-devscripts (>= 0.13),
  cdbs,
  ghc (>= 8),
  ghc-prof,
  libghc-network-dev (>= 2.1),
- libghc-network-dev (<< 2.7),
  libghc-network-prof,
  libssl-dev,
 Build-Depends-Indep: ghc-doc,
@@ -17,7 +17,7 @@
 Standards-Version: 4.1.4
 Homepage: https://github.com/vshabanov/HsOpenSSL
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hsopenssl
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hsopenssl]
 X-Description: partial OpenSSL binding for Haskell
  HsOpenSSL is an OpenSSL binding for Haskell. It can generate RSA
  and DSA keys, read and write PEM files, generate message digests,

## haskell-hsopenssl 0.11.4.15

=== debian/changelog ===
haskell-hsopenssl (0.11.4.15-2) unstable; urgency=medium

  * Remove build-dep on libcrypto-dev

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 04 Oct 2018 14:01:47 +0300

haskell-hsopenssl (0.11.4.15-1) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 29 Sep 2018 20:43:53 +0300

=== debian/rules ===
#!/usr/bin/make -f

DEB_CABAL_PACKAGE = hsopenssl
DEB_DEFAULT_COMPILER = ghc

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-hsopenssl 0.11.4.16

=== debian/changelog ===
haskell-hsopenssl (0.11.4.16-1build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Aug 2019 14:48:07 +0200

haskell-hsopenssl (0.11.4.16-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2019 21:07:46 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  haskell-devscripts (>= 0.13),
  cdbs,
  ghc (>= 8),

=== debian/watch ===
version=3
https://hackage.haskell.org/package/HsOpenSSL/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-hsopenssl 0.11.4.18

=== examples/Makefile ===
GHCFLAGS = -O2

build:
	ghc $(GHCFLAGS) --make GenRSAKey
	ghc $(GHCFLAGS) --make HelloWorld
	ghc $(GHCFLAGS) --make PKCS7
	ghc $(GHCFLAGS) --make -threaded Server
	ghc $(GHCFLAGS) --make Client

run: build
	./PKCS7
#	./HelloWorld

clean:
	rm -f HelloWorld GenRSAKey PKCS7 Server Client *.hi *.o

.PHONY: build run clean

=== debian/changelog ===
haskell-hsopenssl (0.11.4.18-1ubuntu1) jammy; urgency=medium

  * d/p/openssl-3.0.patch: backport from upstream for OpenSSL 3.0 support
    (LP: #1959572)

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 31 Jan 2022 12:08:27 +0100

haskell-hsopenssl (0.11.4.18-1build3) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 23 Nov 2021 16:26:33 +0100

haskell-hsopenssl (0.11.4.18-1build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2020 00:50:37 +0000

haskell-hsopenssl (0.11.4.18-1build1) groovy; urgency=medium

  * No change rebuild against new ghc ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 22 Jul 2020 01:26:12 +0100

haskell-hsopenssl (0.11.4.18-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 31 May 2020 19:33:48 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-hsopenssl
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
 Priority: optional
 Section: haskell
@@ -10,6 +11,7 @@
  ghc (>= 8),
  ghc-prof,
  libghc-network-dev (>= 2.1),
+ libghc-network-dev (<< 3.2),
  libghc-network-prof,
  libssl-dev,
 Build-Depends-Indep: ghc-doc,

## haskell-hsopenssl 0.11.7.2

=== debian/changelog ===
haskell-hsopenssl (0.11.7.2-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Sourceful upload for GHC 9.0.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 03 Jul 2022 12:31:50 +0300

haskell-hsopenssl (0.11.7.2-1) unstable; urgency=medium

  * Team Upload.
  * Update to new upstream release 0.11.7.2 (Closes: #996424, #1011032)

 -- Scott Talbert <swt@techie.net>  Wed, 18 May 2022 23:41:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: haskell-hsopenssl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 10),
- haskell-devscripts (>= 0.13),
+ haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
  cdbs,
- ghc (>= 8),
+ ghc,
  ghc-prof,
  libghc-network-dev (>= 2.1),
  libghc-network-dev (<< 3.2),
@@ -16,7 +15,7 @@
  libssl-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-network-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.6.1
 Homepage: https://github.com/vshabanov/HsOpenSSL
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hsopenssl
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hsopenssl]

## haskell-hsopenssl 0.11.7.6

=== debian/changelog ===
haskell-hsopenssl (0.11.7.6-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:23:00 +0000

haskell-hsopenssl (0.11.7.6-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:10:43 +0000

haskell-hsopenssl (0.11.7.6-1) unstable; urgency=medium

  * Remove retired developer, Joachim Breitner, from Uploaders.
  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 01 Sep 2023 19:57:03 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: haskell-hsopenssl
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Joachim Breitner <nomeata@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Uploaders: Ilias Tsitsimpis <iliastsi@debian.org>
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 10),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
  cdbs,
- ghc,
+ ghc (>= 9.4),
  ghc-prof,
  libghc-network-dev (>= 2.1),
  libghc-network-dev (<< 3.2),
@@ -15,8 +16,8 @@
  libssl-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-network-doc,
-Standards-Version: 4.6.1
-Homepage: https://github.com/vshabanov/HsOpenSSL
+Standards-Version: 4.6.2
+Homepage: https://github.com/haskell-cryptography/HsOpenSSL
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hsopenssl
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hsopenssl]
 X-Description: partial OpenSSL binding for Haskell

## haskell-hsopenssl 0.11.7.7

=== debian/changelog ===
haskell-hsopenssl (0.11.7.7-3) unstable; urgency=medium

  * Source only upload.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 04 Aug 2024 11:31:56 +0200

haskell-hsopenssl (0.11.7.7-2) unstable; urgency=medium

  *  no more FTFS with gcc-14 (Closes: #1075059).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 04 Aug 2024 10:41:05 +0200

haskell-hsopenssl (0.11.7.7-1) unstable; urgency=medium

  * New upstream release

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 04 Aug 2024 07:09:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-hsopenssl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Ilias Tsitsimpis <iliastsi@debian.org>
 Priority: optional
 Section: haskell
@@ -11,7 +10,7 @@
  ghc (>= 9.4),
  ghc-prof,
  libghc-network-dev (>= 2.1),
- libghc-network-dev (<< 3.2),
+ libghc-network-dev (<< 3.3),
  libghc-network-prof,
  libssl-dev,
 Build-Depends-Indep: ghc-doc,

## haskell-hsopenssl 0.11.7.8

=== debian/changelog ===
haskell-hsopenssl (0.11.7.8-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 16 Sep 2024 22:06:34 +0300

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libssl-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-network-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/haskell-cryptography/HsOpenSSL
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hsopenssl
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hsopenssl]

## haskell-hsopenssl 0.11.7.9

=== debian/changelog ===
haskell-hsopenssl (0.11.7.9-1) unstable; urgency=medium

  * Build using dh-haskell
  * New upstream release

 -- Scott Talbert <swt@techie.net>  Mon, 05 Jan 2026 22:33:15 -0500

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10),
- haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
- cdbs,
- ghc (>= 9.4),
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-haskell,
+ ghc (>= 9.10),
  ghc-prof,
  libghc-network-dev (>= 2.1),
  libghc-network-dev (<< 3.3),
